> ## Documentation Index
> Fetch the complete documentation index at: https://docs.invopop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Sign GOBL document

> Sign GOBL Envelopes or Objects



## OpenAPI

````yaml POST /silo/v1/gobl/sign
openapi: 3.0.0
info:
  contact:
    email: dev@invopop.com
    name: Invopop Developers
  description: >-
    Store and manage GOBL documents along with their attachments in "Silo
    Entries".
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  title: Silo Service API
  version: 1.0.0
servers:
  - description: production
    url: https://api.invopop.com
security:
  - authToken: []
paths:
  /silo/v1/gobl/sign:
    post:
      description: Sign GOBL Envelopes or Objects
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SiloSignGOBL'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SiloGOBL'
          description: OK
components:
  schemas:
    SiloSignGOBL:
      properties:
        data:
          description: GOBL Envelope or Object to calculate, validate, and sign.
          nullable: true
          title: Data
          type: object
      type: object
    SiloGOBL:
      properties:
        data:
          description: GOBL Envelope or Object response to a build request.
          nullable: true
          title: Data
          type: object
      type: object
  securitySchemes:
    authToken:
      bearerFormat: JWT
      description: >-
        Use the `Bearer` scheme with a valid JWT token to authenticate requests.
        Example: `Authorization: Bearer <token>`
      scheme: bearer
      type: http

````